Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class ImageDataDescriptor

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject
              org.apache.fop.afp.modca.AbstractTripletStructuredObject
                  org.apache.fop.afp.modca.AbstractDescriptor
                      org.apache.fop.afp.modca.ImageDataDescriptor

All Implemented Interfaces:
  Streamable

    public class ImageDataDescriptor

extends AbstractDescriptor

ImageDataDescriptor

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary
`static byte` | `FUNCTION_SET_FS10` function set fs10
`static byte` | `FUNCTION_SET_FS11` function set fs11
`static byte` | `FUNCTION_SET_FS45` function set fs45

Fields inherited from class org.apache.fop.afp.modca.AbstractDescriptor
`height, heightRes, width, widthRes`

Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`triplets`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`ImageDataDescriptor(int width, int height, int widthRes, int heightRes)` Constructor for a ImageDataDescriptor for the specified resolution, width and height.

Method Summary
`void` | `setFunctionSet(byte functionSet)` Sets the IOCA function set to be used.
`void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.modca.AbstractDescriptor
`getHeight, getWidth, toString`

Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject
`writeContent, writeEnd, writeStart`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FUNCTION_SET_FS10

    public static final byte FUNCTION_SET_FS10

  function set fs10

  See Also:
    Constant Field Values

### FUNCTION_SET_FS11

    public static final byte FUNCTION_SET_FS11

  function set fs11

  See Also:
    Constant Field Values

### FUNCTION_SET_FS45

    public static final byte FUNCTION_SET_FS45

  function set fs45

  See Also:
    Constant Field Values

Constructor Detail

### ImageDataDescriptor

    public ImageDataDescriptor(int width,
                               int height,
                               int widthRes,
                               int heightRes)

  Constructor for a ImageDataDescriptor for the specified resolution, width and height.

  Parameters:
    `width` - The width of the image.
    `height` - The height of the height.
    `widthRes` - The horizontal resolution of the image.
    `heightRes` - The vertical resolution of the image.

Method Detail

### setFunctionSet

    public void setFunctionSet(byte functionSet)

  Sets the IOCA function set to be used.

  Parameters:
    `functionSet` - the function set (0x0A for FS 10, 0x0B for FS 11, etc.)

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Specified by:
    `writeToStream` in interface `Streamable`
  Overrides:
    `writeToStream` in class `AbstractStructuredObject`
  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.